# Generated from scrabble_laubedan-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name scrabble_laubedan

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: Scrabble with optional english spell check
License: Nonstandard
URL: http://rubygems.org/gems/scrabble_laubedan
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Implementation of board game scrabble with standard rules and optional english
spell check. Vocabulary for spell check contains over 100 000 words which are
stored in sqlite3 db. Requires gosu (0.10.8) and sqlite3. Usage: just require
'scrabble_laubedan', create new instance of scrabble = Scrabble_laubedan.new
and then call scrabble.show.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Sep 15 2021 mockbuilder - 0.0.2-1
- Initial package
